package com.os.mes.api.domain;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.HashMap;

public class RecordData {

    /** 输送带宽度（mm）*/
    @JsonProperty("BeltWidth")
    private double BeltWidth;

    /** 输送带布层 */
    @JsonProperty("BeltClothLayer")
    private int BeltClothLayer;

    /** 客户要求输送带长度（m） */
    @JsonProperty("BeltRequiredLength")
    private double BeltRequiredLength;

    /** 客户要求上胶厚度（mm） */
    @JsonProperty("GluingRequiredThickness")
    private double GluingRequiredThickness;

    /** 客户要求下胶厚度（mm） */
    @JsonProperty("LowerGlueRequiredThickness")
    private double LowerGlueRequiredThickness;

    /** 生产上胶厚度（mm） */
    @JsonProperty("ProductionGluingThickness")
    private double ProductionGluingThickness;

    /** 上缓冲胶厚度（mm） */
    @JsonProperty("UpperBufferAdhesiveThickness")
    private double UpperBufferAdhesiveThickness;

    /** 生产下胶厚度（mm） */
    @JsonProperty("ProductionLowerGlueThickness")
    private double ProductionLowerGlueThickness;

    /** 下缓冲胶厚度（mm） */
    @JsonProperty("LowerBufferAdhesiveThickness")
    private double LowerBufferAdhesiveThickness;

    /** 布胶厚度 */
    @JsonProperty("ClothGlueThickness")
    private double ClothGlueThickness;

    /** 小布用布布层 */
    @JsonProperty("SmallClothFabricLayer")
    private double SmallClothFabricLayer;

    /** 小布布料厚度（mm） */
    @JsonProperty("SmallClothThickness")
    private double SmallClothThickness;

    /** 是否需要每层加厚 */
    @JsonProperty("IsNeedThicken")
    private String IsNeedThicken;

    /** 每层加厚厚度（mm） */
    @JsonProperty("EachLayerThickenThickness")
    private double EachLayerThickenThickness;

    /** 额外加厚厚度（mm） */
    @JsonProperty("ExtraThickeningThickness")
    private double ExtraThickeningThickness;

    /** 生产总厚度（mm） */
    @JsonProperty("TotalProductionThickness")
    private double TotalProductionThickness;

    /** 压延追加厚度 */
    @JsonProperty("AdditionalThickness")
    private double AdditionalThickness;

    /** 推荐垫铁厚度（mm） */
    @JsonProperty("RecommendedShimThickness")
    private double RecommendedShimThickness;

    /** 推荐半成品宽度（mm） */
    @JsonProperty("SemiFinishedProductWidth")
    private double SemiFinishedProductWidth;

    /** 压延生产米数（m） */
    @JsonProperty("RollingProductionMeters")
    private double RollingProductionMeters;

    /** 推荐垫布宽度（mm） */
    @JsonProperty("RecommendedPadWidth")
    private double RecommendedPadWidth;

    /** 大布厂家 */
    @JsonProperty("BigFabricManufacturer")
    private String BigFabricManufacturer;

    /** 布料规格 */
    @JsonProperty("FabricSpecifications")
    private Material FabricSpecifications;

    /** 预计布料使用量（m） */
    @JsonProperty("EstimatedFabricUsage")
    private double EstimatedFabricUsage;

    /** 布宽度（mm） */
    @JsonProperty("ClothWidth")
    private double ClothWidth;

    /** 布重量（kg） */
    @JsonProperty("ClothWeight")
    private double ClothWeight;

    /** 小布使用布料规格 */
    @JsonProperty("SmallFabricSpecificationsDic")
    private Material SmallFabricSpecificationsDic;

    /** 小布宽度（mm） */
    @JsonProperty("SmallClothWidth")
    private double SmallClothWidth;

    /** 小布布料使用量（m） */
    @JsonProperty("SmallClothUsage")
    private double SmallClothUsage;

    /** 小布用布重量（kg） */
    @JsonProperty("SmallClothWeight")
    private double SmallClothWeight;

    /** 用胶工艺 */
    @JsonProperty("GluingProcess")
    private String GluingProcess;

    /** 上下胶使用胶料 */
    @JsonProperty("UpperLowerGlue")
    private UpperLowerGlue UpperLowerGlue;

    /** 上下胶系数 */
    @JsonProperty("UpperLowerGlueCoefficient")
    private double UpperLowerGlueCoefficient;

    /** 上下胶标准用胶量（kg） */
    @JsonProperty("UpperLowerGlueUsage")
    private double UpperLowerGlueUsage;

    /** 下胶使用胶料 */
    @JsonProperty("LowerGlue")
    private HashMap<String, Object> LowerGlue;

    /** 下胶系数 */
    @JsonProperty("LowerGlueCoefficient")
    private double LowerGlueCoefficient;

    /** 下胶标准用胶量（kg） */
    @JsonProperty("LowerGlueUsage")
    private double LowerGlueUsage;

    /** 大布胶使用胶料 */
    @JsonProperty("LargeClothGlue")
    private HashMap<String, Object> LargeClothGlue;

    /** 大布胶系数 */
    @JsonProperty("LargeClothGlueCoefficient")
    private double LargeClothGlueCoefficient;

    /** 胶布标准用胶量（kg） */
    @JsonProperty("LargeClothGlueUsage")
    private double LargeClothGlueUsage;

    /** 上下缓冲胶标准用胶量（kg） */
    @JsonProperty("BufferGlueUsage")
    private double BufferGlueUsage;

    /** 中间胶 */
    @JsonProperty("MiddleGlue")
    private HashMap<String, Object> MiddleGlue;

    /** 中间胶系数 */
    @JsonProperty("MiddleGlueCoefficient")
    private double MiddleGlueCoefficient;

    /** 中间胶使用量 */
    @JsonProperty("MiddleGlueUsage")
    private double MiddleGlueUsage;

    /** 小条宽度 */
    @JsonProperty("SmallBarWidth")
    private double SmallBarWidth;

    /** 小条厚度 */
    @JsonProperty("SmallBarThickness")
    private double SmallBarThickness;

    /** 小条标准使用量（kg） */
    @JsonProperty("SmallBarStandardUsage")
    private double SmallBarStandardUsage;

    /** 成型面积 */
    @JsonProperty("FormingArea")
    private double FormingArea;

    /** 压延包胶面积 */
    @JsonProperty("RollCoatingArea")
    private double RollCoatingArea;

    /** 压延出布面积 */
    @JsonProperty("RolledFabricArea")
    private double RolledFabricArea;

    /** 硫化面积 */
    @JsonProperty("SulfurizationArea")
    private double SulfurizationArea;

    /** 大布面积 */
    @JsonProperty("LargeClothArea")
    private double LargeClothArea;

    /** 小布面积 */
    @JsonProperty("SmallClothArea")
    private double SmallClothArea;

    /** 输送带总面积 */
    @JsonProperty("BeltTotalArea")
    private double BeltTotalArea;

    /** 裙边面积 */
    @JsonProperty("SkirtArea")
    private double SkirtArea;

    /** 隔板面积 */
    @JsonProperty("PartitionArea")
    private double PartitionArea;

    /** 挡边带总面积 */
    @JsonProperty("EdgeBandingTotalArea")
    private double EdgeBandingTotalArea;

    /** 钢丝绳输送带工资总面积 */
    @JsonProperty("WireropeBeltTotalArea")
    private double WireropeBeltTotalArea;

    /** 下单日期 */
    @JsonProperty("OrderDate")
    private String OrderDate;

    /** 交货日期 */
    @JsonProperty("DeliveryDate")
    private String DeliveryDate;

    /** 任务编号 */
    @JsonProperty("SeqNo")
    private String SeqNo;

    /** 产品类型 */
    @JsonProperty("ProductType")
    private String ProductType;

    /** 产品状态 */
    @JsonProperty("ProductStatus")
    private String ProductStatus;

    /** 订单所属 */
    @JsonProperty("OrderOwner")
    private String OrderOwner;

    /** 客户信息 */
    @JsonProperty("CustomerInfo")
    private String CustomerInfo;

    /** 输送带长度规格 */
    @JsonProperty("BeltLengthSpecifications")
    private String BeltLengthSpecifications;

    /** 面积与重量 */
    @JsonProperty("AreaAndWeight")
    private String AreaAndWeight;

    /** 使用原材料 */
    @JsonProperty("UsingRawMaterials")
    private String UsingRawMaterials;

    public double getBeltWidth() {
        return BeltWidth;
    }

    public void setBeltWidth(double beltWidth) {
        BeltWidth = beltWidth;
    }

    public int getBeltClothLayer() {
        return BeltClothLayer;
    }

    public void setBeltClothLayer(int beltClothLayer) {
        BeltClothLayer = beltClothLayer;
    }

    public double getBeltRequiredLength() {
        return BeltRequiredLength;
    }

    public void setBeltRequiredLength(double beltRequiredLength) {
        BeltRequiredLength = beltRequiredLength;
    }

    public double getGluingRequiredThickness() {
        return GluingRequiredThickness;
    }

    public void setGluingRequiredThickness(double gluingRequiredThickness) {
        GluingRequiredThickness = gluingRequiredThickness;
    }

    public double getLowerGlueRequiredThickness() {
        return LowerGlueRequiredThickness;
    }

    public void setLowerGlueRequiredThickness(double lowerGlueRequiredThickness) {
        LowerGlueRequiredThickness = lowerGlueRequiredThickness;
    }

    public double getProductionGluingThickness() {
        return ProductionGluingThickness;
    }

    public void setProductionGluingThickness(double productionGluingThickness) {
        ProductionGluingThickness = productionGluingThickness;
    }

    public double getUpperBufferAdhesiveThickness() {
        return UpperBufferAdhesiveThickness;
    }

    public void setUpperBufferAdhesiveThickness(double upperBufferAdhesiveThickness) {
        UpperBufferAdhesiveThickness = upperBufferAdhesiveThickness;
    }

    public double getProductionLowerGlueThickness() {
        return ProductionLowerGlueThickness;
    }

    public void setProductionLowerGlueThickness(double productionLowerGlueThickness) {
        ProductionLowerGlueThickness = productionLowerGlueThickness;
    }

    public double getLowerBufferAdhesiveThickness() {
        return LowerBufferAdhesiveThickness;
    }

    public void setLowerBufferAdhesiveThickness(double lowerBufferAdhesiveThickness) {
        LowerBufferAdhesiveThickness = lowerBufferAdhesiveThickness;
    }

    public double getClothGlueThickness() {
        return ClothGlueThickness;
    }

    public void setClothGlueThickness(double clothGlueThickness) {
        ClothGlueThickness = clothGlueThickness;
    }

    public double getSmallClothFabricLayer() {
        return SmallClothFabricLayer;
    }

    public void setSmallClothFabricLayer(double smallClothFabricLayer) {
        SmallClothFabricLayer = smallClothFabricLayer;
    }

    public double getSmallClothThickness() {
        return SmallClothThickness;
    }

    public void setSmallClothThickness(double smallClothThickness) {
        SmallClothThickness = smallClothThickness;
    }

    public String getIsNeedThicken() {
        return IsNeedThicken;
    }

    public void setIsNeedThicken(String isNeedThicken) {
        IsNeedThicken = isNeedThicken;
    }

    public double getEachLayerThickenThickness() {
        return EachLayerThickenThickness;
    }

    public void setEachLayerThickenThickness(double eachLayerThickenThickness) {
        EachLayerThickenThickness = eachLayerThickenThickness;
    }

    public double getExtraThickeningThickness() {
        return ExtraThickeningThickness;
    }

    public void setExtraThickeningThickness(double extraThickeningThickness) {
        ExtraThickeningThickness = extraThickeningThickness;
    }

    public double getTotalProductionThickness() {
        return TotalProductionThickness;
    }

    public void setTotalProductionThickness(double totalProductionThickness) {
        TotalProductionThickness = totalProductionThickness;
    }

    public double getAdditionalThickness() {
        return AdditionalThickness;
    }

    public void setAdditionalThickness(double additionalThickness) {
        AdditionalThickness = additionalThickness;
    }

    public double getRecommendedShimThickness() {
        return RecommendedShimThickness;
    }

    public void setRecommendedShimThickness(double recommendedShimThickness) {
        RecommendedShimThickness = recommendedShimThickness;
    }

    public double getSemiFinishedProductWidth() {
        return SemiFinishedProductWidth;
    }

    public void setSemiFinishedProductWidth(double semiFinishedProductWidth) {
        SemiFinishedProductWidth = semiFinishedProductWidth;
    }

    public double getRollingProductionMeters() {
        return RollingProductionMeters;
    }

    public void setRollingProductionMeters(double rollingProductionMeters) {
        RollingProductionMeters = rollingProductionMeters;
    }

    public double getRecommendedPadWidth() {
        return RecommendedPadWidth;
    }

    public void setRecommendedPadWidth(double recommendedPadWidth) {
        RecommendedPadWidth = recommendedPadWidth;
    }

    public String getBigFabricManufacturer() {
        return BigFabricManufacturer;
    }

    public void setBigFabricManufacturer(String bigFabricManufacturer) {
        BigFabricManufacturer = bigFabricManufacturer;
    }

    public Material getFabricSpecifications() {
        return FabricSpecifications;
    }

    public void setFabricSpecifications(Material fabricSpecifications) {
        FabricSpecifications = fabricSpecifications;
    }

    public double getEstimatedFabricUsage() {
        return EstimatedFabricUsage;
    }

    public void setEstimatedFabricUsage(double estimatedFabricUsage) {
        EstimatedFabricUsage = estimatedFabricUsage;
    }

    public double getClothWidth() {
        return ClothWidth;
    }

    public void setClothWidth(double clothWidth) {
        ClothWidth = clothWidth;
    }

    public double getClothWeight() {
        return ClothWeight;
    }

    public void setClothWeight(double clothWeight) {
        ClothWeight = clothWeight;
    }

    public Material getSmallFabricSpecificationsDic() {
        return SmallFabricSpecificationsDic;
    }

    public void setSmallFabricSpecificationsDic(Material smallFabricSpecificationsDic) {
        SmallFabricSpecificationsDic = smallFabricSpecificationsDic;
    }

    public double getSmallClothWidth() {
        return SmallClothWidth;
    }

    public void setSmallClothWidth(double smallClothWidth) {
        SmallClothWidth = smallClothWidth;
    }

    public double getSmallClothUsage() {
        return SmallClothUsage;
    }

    public void setSmallClothUsage(double smallClothUsage) {
        SmallClothUsage = smallClothUsage;
    }

    public double getSmallClothWeight() {
        return SmallClothWeight;
    }

    public void setSmallClothWeight(double smallClothWeight) {
        SmallClothWeight = smallClothWeight;
    }

    public String getGluingProcess() {
        return GluingProcess;
    }

    public void setGluingProcess(String gluingProcess) {
        GluingProcess = gluingProcess;
    }

    public UpperLowerGlue getUpperLowerGlue() {
        return UpperLowerGlue;
    }

    public void setUpperLowerGlue(UpperLowerGlue upperLowerGlue) {
        UpperLowerGlue = upperLowerGlue;
    }

    public double getUpperLowerGlueCoefficient() {
        return UpperLowerGlueCoefficient;
    }

    public void setUpperLowerGlueCoefficient(double upperLowerGlueCoefficient) {
        UpperLowerGlueCoefficient = upperLowerGlueCoefficient;
    }

    public double getUpperLowerGlueUsage() {
        return UpperLowerGlueUsage;
    }

    public void setUpperLowerGlueUsage(double upperLowerGlueUsage) {
        UpperLowerGlueUsage = upperLowerGlueUsage;
    }

    public HashMap<String, Object> getLowerGlue() {
        return LowerGlue;
    }

    public void setLowerGlue(HashMap<String, Object> lowerGlue) {
        LowerGlue = lowerGlue;
    }

    public double getLowerGlueCoefficient() {
        return LowerGlueCoefficient;
    }

    public void setLowerGlueCoefficient(double lowerGlueCoefficient) {
        LowerGlueCoefficient = lowerGlueCoefficient;
    }

    public double getLowerGlueUsage() {
        return LowerGlueUsage;
    }

    public void setLowerGlueUsage(double lowerGlueUsage) {
        LowerGlueUsage = lowerGlueUsage;
    }

    public HashMap<String, Object> getLargeClothGlue() {
        return LargeClothGlue;
    }

    public void setLargeClothGlue(HashMap<String, Object> largeClothGlue) {
        LargeClothGlue = largeClothGlue;
    }

    public double getLargeClothGlueCoefficient() {
        return LargeClothGlueCoefficient;
    }

    public void setLargeClothGlueCoefficient(double largeClothGlueCoefficient) {
        LargeClothGlueCoefficient = largeClothGlueCoefficient;
    }

    public double getLargeClothGlueUsage() {
        return LargeClothGlueUsage;
    }

    public void setLargeClothGlueUsage(double largeClothGlueUsage) {
        LargeClothGlueUsage = largeClothGlueUsage;
    }

    public double getBufferGlueUsage() {
        return BufferGlueUsage;
    }

    public void setBufferGlueUsage(double bufferGlueUsage) {
        BufferGlueUsage = bufferGlueUsage;
    }

    public HashMap<String, Object> getMiddleGlue() {
        return MiddleGlue;
    }

    public void setMiddleGlue(HashMap<String, Object> middleGlue) {
        MiddleGlue = middleGlue;
    }

    public double getMiddleGlueCoefficient() {
        return MiddleGlueCoefficient;
    }

    public void setMiddleGlueCoefficient(double middleGlueCoefficient) {
        MiddleGlueCoefficient = middleGlueCoefficient;
    }

    public double getMiddleGlueUsage() {
        return MiddleGlueUsage;
    }

    public void setMiddleGlueUsage(double middleGlueUsage) {
        MiddleGlueUsage = middleGlueUsage;
    }

    public double getSmallBarWidth() {
        return SmallBarWidth;
    }

    public void setSmallBarWidth(double smallBarWidth) {
        SmallBarWidth = smallBarWidth;
    }

    public double getSmallBarThickness() {
        return SmallBarThickness;
    }

    public void setSmallBarThickness(double smallBarThickness) {
        SmallBarThickness = smallBarThickness;
    }

    public double getSmallBarStandardUsage() {
        return SmallBarStandardUsage;
    }

    public void setSmallBarStandardUsage(double smallBarStandardUsage) {
        SmallBarStandardUsage = smallBarStandardUsage;
    }

    public double getFormingArea() {
        return FormingArea;
    }

    public void setFormingArea(double formingArea) {
        FormingArea = formingArea;
    }

    public double getRollCoatingArea() {
        return RollCoatingArea;
    }

    public void setRollCoatingArea(double rollCoatingArea) {
        RollCoatingArea = rollCoatingArea;
    }

    public double getRolledFabricArea() {
        return RolledFabricArea;
    }

    public void setRolledFabricArea(double rolledFabricArea) {
        RolledFabricArea = rolledFabricArea;
    }

    public double getSulfurizationArea() {
        return SulfurizationArea;
    }

    public void setSulfurizationArea(double sulfurizationArea) {
        SulfurizationArea = sulfurizationArea;
    }

    public double getLargeClothArea() {
        return LargeClothArea;
    }

    public void setLargeClothArea(double largeClothArea) {
        LargeClothArea = largeClothArea;
    }

    public double getSmallClothArea() {
        return SmallClothArea;
    }

    public void setSmallClothArea(double smallClothArea) {
        SmallClothArea = smallClothArea;
    }

    public double getBeltTotalArea() {
        return BeltTotalArea;
    }

    public void setBeltTotalArea(double beltTotalArea) {
        BeltTotalArea = beltTotalArea;
    }

    public double getSkirtArea() {
        return SkirtArea;
    }

    public void setSkirtArea(double skirtArea) {
        SkirtArea = skirtArea;
    }

    public double getPartitionArea() {
        return PartitionArea;
    }

    public void setPartitionArea(double partitionArea) {
        PartitionArea = partitionArea;
    }

    public double getEdgeBandingTotalArea() {
        return EdgeBandingTotalArea;
    }

    public void setEdgeBandingTotalArea(double edgeBandingTotalArea) {
        EdgeBandingTotalArea = edgeBandingTotalArea;
    }

    public double getWireropeBeltTotalArea() {
        return WireropeBeltTotalArea;
    }

    public void setWireropeBeltTotalArea(double wireropeBeltTotalArea) {
        WireropeBeltTotalArea = wireropeBeltTotalArea;
    }

    public String getOrderDate() {
        return OrderDate;
    }

    public void setOrderDate(String orderDate) {
        OrderDate = orderDate;
    }

    public String getDeliveryDate() {
        return DeliveryDate;
    }

    public void setDeliveryDate(String deliveryDate) {
        DeliveryDate = deliveryDate;
    }

    public String getSeqNo() {
        return SeqNo;
    }

    public void setSeqNo(String seqNo) {
        SeqNo = seqNo;
    }

    public String getProductType() {
        return ProductType;
    }

    public void setProductType(String productType) {
        ProductType = productType;
    }

    public String getProductStatus() {
        return ProductStatus;
    }

    public void setProductStatus(String productStatus) {
        ProductStatus = productStatus;
    }

    public String getOrderOwner() {
        return OrderOwner;
    }

    public void setOrderOwner(String orderOwner) {
        OrderOwner = orderOwner;
    }

    public String getCustomerInfo() {
        return CustomerInfo;
    }

    public void setCustomerInfo(String customerInfo) {
        CustomerInfo = customerInfo;
    }

    public String getBeltLengthSpecifications() {
        return BeltLengthSpecifications;
    }

    public void setBeltLengthSpecifications(String beltLengthSpecifications) {
        BeltLengthSpecifications = beltLengthSpecifications;
    }

    public String getAreaAndWeight() {
        return AreaAndWeight;
    }

    public void setAreaAndWeight(String areaAndWeight) {
        AreaAndWeight = areaAndWeight;
    }

    public String getUsingRawMaterials() {
        return UsingRawMaterials;
    }

    public void setUsingRawMaterials(String usingRawMaterials) {
        UsingRawMaterials = usingRawMaterials;
    }
}
