package com.os.mes.prod.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.os.common.annotation.Excel;
import com.os.common.core.domain.BaseEntity;

/**
 * 订单明细对象 prod_order_detail
 *
 * @author Yinq
 * @date 2024-06-13
 */
public class ProdOrderDetail extends BaseEntity {

    private static final Long serialVersionUID = 1L;

    /**
     * 主键标识
     */
    private BigDecimal objId;

    /**
     * 任务编号
     */
    @Excel(name = "任务编号")
    private String SeqNo;

    /**
     * 下单日期
     */
    @Excel(name = "下单日期")
    private String OrderDate;

    /**
     * 交货日期
     */
    @Excel(name = "交货日期")
    private String DeliveryDate;

    /**
     * 产品类型
     */
    @Excel(name = "产品类型")
    private String ProductType;

    /**
     * 产品状态
     */
    @Excel(name = "产品状态")
    private String ProductStatus;

    /**
     * 订单所属
     */
    @Excel(name = "订单所属")
    private String OrderOwner;

    /**
     * 客户信息
     */
    @Excel(name = "客户信息")
    private String CustomerInfo;

    /**
     * 输送带长度规格
     */
    @Excel(name = "输送带长度规格")
    private String BeltLengthSpecifications;

    /**
     * 面积与重量
     */
    @Excel(name = "面积与重量")
    private String AreaAndWeight;

    /**
     * 使用原材料
     */
    @Excel(name = "使用原材料")
    private String UsingRawMaterials;

    /**
     * 输送带宽度（mm）
     */
    @Excel(name = "输送带宽度", readConverterExp = "m=m")
    private BigDecimal BeltWidth;

    /**
     * 输送带布层
     */
    @Excel(name = "输送带布层")
    private Long BeltClothLayer;

    /**
     * 客户要求输送带长度（m）
     */
    @Excel(name = "客户要求输送带长度", readConverterExp = "m=")
    private BigDecimal BeltRequiredLength;

    /**
     * 客户要求上胶厚度（mm）
     */
    @Excel(name = "客户要求上胶厚度", readConverterExp = "m=m")
    private BigDecimal GluingRequiredThickness;

    /**
     * 客户要求下胶厚度（mm）
     */
    @Excel(name = "客户要求下胶厚度", readConverterExp = "m=m")
    private BigDecimal LowerGlueRequiredThickness;

    /**
     * 生产上胶厚度（mm）
     */
    @Excel(name = "生产上胶厚度", readConverterExp = "m=m")
    private BigDecimal ProductionGluingThickness;

    /**
     * 上缓冲胶厚度（mm）
     */
    @Excel(name = "上缓冲胶厚度", readConverterExp = "m=m")
    private BigDecimal UpperBufferAdhesiveThickness;

    /**
     * 生产下胶厚度（mm）
     */
    @Excel(name = "生产下胶厚度", readConverterExp = "m=m")
    private BigDecimal ProductionLowerGlueThickness;

    /**
     * 下缓冲胶厚度（mm）
     */
    @Excel(name = "下缓冲胶厚度", readConverterExp = "m=m")
    private BigDecimal LowerBufferAdhesiveThickness;

    /**
     * 布胶厚度
     */
    @Excel(name = "布胶厚度")
    private BigDecimal ClothGlueThickness;

    /**
     * 小布用布布层
     */
    @Excel(name = "小布用布布层")
    private BigDecimal SmallClothFabricLayer;

    /**
     * 小布布料厚度（mm）
     */
    @Excel(name = "小布布料厚度", readConverterExp = "m=m")
    private BigDecimal SmallClothThickness;

    /**
     * 是否需要每层加厚
     */
    @Excel(name = "是否需要每层加厚")
    private String IsNeedThicken;

    /**
     * 每层加厚厚度（mm）
     */
    @Excel(name = "每层加厚厚度", readConverterExp = "m=m")
    private BigDecimal EachLayerThickenThickness;

    /**
     * 额外加厚厚度（mm）
     */
    @Excel(name = "额外加厚厚度", readConverterExp = "m=m")
    private BigDecimal ExtraThickeningThickness;

    /**
     * 生产总厚度（mm）
     */
    @Excel(name = "生产总厚度", readConverterExp = "m=m")
    private BigDecimal TotalProductionThickness;

    /**
     * 压延追加厚度
     */
    @Excel(name = "压延追加厚度")
    private BigDecimal AdditionalThickness;

    /**
     * 推荐垫铁厚度（mm）
     */
    @Excel(name = "推荐垫铁厚度", readConverterExp = "m=m")
    private BigDecimal RecommendedShimThickness;

    /**
     * 推荐半成品宽度（mm）
     */
    @Excel(name = "推荐半成品宽度", readConverterExp = "m=m")
    private BigDecimal SemiFinishedProductWidth;

    /**
     * 压延生产米数（m）
     */
    @Excel(name = "压延生产米数", readConverterExp = "m=")
    private BigDecimal RollingProductionMeters;

    /**
     * 推荐垫布宽度（mm）
     */
    @Excel(name = "推荐垫布宽度", readConverterExp = "m=m")
    private BigDecimal RecommendedPadWidth;

    /**
     * 大布厂家
     */
    @Excel(name = "大布厂家")
    private String BigFabricManufacturer;

    /**
     * 布料规格
     */
    @Excel(name = "布料规格")
    private String FabricSpecifications;

    /**
     * 预计布料使用量（m）
     */
    @Excel(name = "预计布料使用量", readConverterExp = "m=")
    private BigDecimal EstimatedFabricUsage;

    /**
     * 布宽度（mm）
     */
    @Excel(name = "布宽度", readConverterExp = "m=m")
    private BigDecimal ClothWidth;

    /**
     * 布重量（kg）
     */
    @Excel(name = "布重量", readConverterExp = "k=g")
    private BigDecimal ClothWeight;

    /**
     * 小布使用布料规格
     */
    @Excel(name = "小布使用布料规格")
    private String SmallFabricSpecificationsDic;

    /**
     * 小布宽度（mm）
     */
    @Excel(name = "小布宽度", readConverterExp = "m=m")
    private BigDecimal SmallClothWidth;

    /**
     * 小布布料使用量（m）
     */
    @Excel(name = "小布布料使用量", readConverterExp = "m=")
    private BigDecimal SmallClothUsage;

    /**
     * 小布用布重量（kg）
     */
    @Excel(name = "小布用布重量", readConverterExp = "k=g")
    private BigDecimal SmallClothWeight;

    /**
     * 用胶工艺
     */
    @Excel(name = "用胶工艺")
    private String GluingProcess;

    /**
     * 上下胶使用胶料
     */
    @Excel(name = "上下胶使用胶料")
    private String UpperLowerGlue;

    /**
     * 上下胶系数
     */
    @Excel(name = "上下胶系数")
    private BigDecimal UpperLowerGlueCoefficient;

    /**
     * 上下胶标准用胶量（kg）
     */
    @Excel(name = "上下胶标准用胶量", readConverterExp = "k=g")
    private BigDecimal UpperLowerGlueUsage;

    /**
     * 下胶使用胶料
     */
    @Excel(name = "下胶使用胶料")
    private String LowerGlue;

    /**
     * 下胶系数
     */
    @Excel(name = "下胶系数")
    private BigDecimal LowerGlueCoefficient;

    /**
     * 下胶标准用胶量（kg）
     */
    @Excel(name = "下胶标准用胶量", readConverterExp = "k=g")
    private BigDecimal LowerGlueUsage;

    /**
     * 大布胶使用胶料
     */
    @Excel(name = "大布胶使用胶料")
    private String LargeClothGlue;

    /**
     * 大布胶系数
     */
    @Excel(name = "大布胶系数")
    private BigDecimal LargeClothGlueCoefficient;

    /**
     * 胶布标准用胶量（kg）
     */
    @Excel(name = "胶布标准用胶量", readConverterExp = "k=g")
    private BigDecimal LargeClothGlueUsage;

    /**
     * 上下缓冲胶标准用胶量（kg）
     */
    @Excel(name = "上下缓冲胶标准用胶量", readConverterExp = "k=g")
    private BigDecimal BufferGlueUsage;

    /**
     * 中间胶
     */
    @Excel(name = "中间胶")
    private String MiddleGlue;

    /**
     * 中间胶系数
     */
    @Excel(name = "中间胶系数")
    private BigDecimal MiddleGlueCoefficient;

    /**
     * 中间胶使用量
     */
    @Excel(name = "中间胶使用量")
    private BigDecimal MiddleGlueUsage;

    /**
     * 小条宽度
     */
    @Excel(name = "小条宽度")
    private BigDecimal SmallBarWidth;

    /**
     * 小条厚度
     */
    @Excel(name = "小条厚度")
    private BigDecimal SmallBarThickness;

    /**
     * 小条标准使用量（kg）
     */
    @Excel(name = "小条标准使用量", readConverterExp = "k=g")
    private BigDecimal SmallBarStandardUsage;

    /**
     * 成型面积
     */
    @Excel(name = "成型面积")
    private BigDecimal FormingArea;

    /**
     * 压延包胶面积
     */
    @Excel(name = "压延包胶面积")
    private BigDecimal RollCoatingArea;

    /**
     * 压延出布面积
     */
    @Excel(name = "压延出布面积")
    private BigDecimal RolledFabricArea;

    /**
     * 硫化面积
     */
    @Excel(name = "硫化面积")
    private BigDecimal SulfurizationArea;

    /**
     * 大布面积
     */
    @Excel(name = "大布面积")
    private BigDecimal LargeClothArea;

    /**
     * 小布面积
     */
    @Excel(name = "小布面积")
    private BigDecimal SmallClothArea;

    /**
     * 输送带总面积
     */
    @Excel(name = "输送带总面积")
    private BigDecimal BeltTotalArea;

    /**
     * 裙边面积
     */
    @Excel(name = "裙边面积")
    private BigDecimal SkirtArea;

    /**
     * 隔板面积
     */
    @Excel(name = "隔板面积")
    private BigDecimal PartitionArea;

    /**
     * 挡边带总面积
     */
    @Excel(name = "挡边带总面积")
    private BigDecimal EdgeBandingTotalArea;

    /**
     * 钢丝绳输送带工资总面积
     */
    @Excel(name = "钢丝绳输送带工资总面积")
    private BigDecimal WireropeBeltTotalArea;

    /**
     * 创建者
     */
    @Excel(name = "创建者")
    private String createdBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createdTime;

    /**
     * 更新者
     */
    @Excel(name = "更新者")
    private String updatedBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updatedTime;

    public void setObjId(BigDecimal objId) {
        this.objId = objId;
    }

    public BigDecimal getObjId() {
        return objId;
    }

    public void setSeqNo(String SeqNo) {
        this.SeqNo = SeqNo;
    }

    public String getSeqNo() {
        return SeqNo;
    }

    public void setOrderDate(String OrderDate) {
        this.OrderDate = OrderDate;
    }

    public String getOrderDate() {
        return OrderDate;
    }

    public void setDeliveryDate(String DeliveryDate) {
        this.DeliveryDate = DeliveryDate;
    }

    public String getDeliveryDate() {
        return DeliveryDate;
    }

    public void setProductType(String ProductType) {
        this.ProductType = ProductType;
    }

    public String getProductType() {
        return ProductType;
    }

    public void setProductStatus(String ProductStatus) {
        this.ProductStatus = ProductStatus;
    }

    public String getProductStatus() {
        return ProductStatus;
    }

    public void setOrderOwner(String OrderOwner) {
        this.OrderOwner = OrderOwner;
    }

    public String getOrderOwner() {
        return OrderOwner;
    }

    public void setCustomerInfo(String CustomerInfo) {
        this.CustomerInfo = CustomerInfo;
    }

    public String getCustomerInfo() {
        return CustomerInfo;
    }

    public void setBeltLengthSpecifications(String BeltLengthSpecifications) {
        this.BeltLengthSpecifications = BeltLengthSpecifications;
    }

    public String getBeltLengthSpecifications() {
        return BeltLengthSpecifications;
    }

    public void setAreaAndWeight(String AreaAndWeight) {
        this.AreaAndWeight = AreaAndWeight;
    }

    public String getAreaAndWeight() {
        return AreaAndWeight;
    }

    public void setUsingRawMaterials(String UsingRawMaterials) {
        this.UsingRawMaterials = UsingRawMaterials;
    }

    public String getUsingRawMaterials() {
        return UsingRawMaterials;
    }

    public void setBeltWidth(BigDecimal BeltWidth) {
        this.BeltWidth = BeltWidth;
    }

    public BigDecimal getBeltWidth() {
        return BeltWidth;
    }

    public void setBeltClothLayer(Long BeltClothLayer) {
        this.BeltClothLayer = BeltClothLayer;
    }

    public Long getBeltClothLayer() {
        return BeltClothLayer;
    }

    public void setBeltRequiredLength(BigDecimal BeltRequiredLength) {
        this.BeltRequiredLength = BeltRequiredLength;
    }

    public BigDecimal getBeltRequiredLength() {
        return BeltRequiredLength;
    }

    public void setGluingRequiredThickness(BigDecimal GluingRequiredThickness) {
        this.GluingRequiredThickness = GluingRequiredThickness;
    }

    public BigDecimal getGluingRequiredThickness() {
        return GluingRequiredThickness;
    }

    public void setLowerGlueRequiredThickness(BigDecimal LowerGlueRequiredThickness) {
        this.LowerGlueRequiredThickness = LowerGlueRequiredThickness;
    }

    public BigDecimal getLowerGlueRequiredThickness() {
        return LowerGlueRequiredThickness;
    }

    public void setProductionGluingThickness(BigDecimal ProductionGluingThickness) {
        this.ProductionGluingThickness = ProductionGluingThickness;
    }

    public BigDecimal getProductionGluingThickness() {
        return ProductionGluingThickness;
    }

    public void setUpperBufferAdhesiveThickness(BigDecimal UpperBufferAdhesiveThickness) {
        this.UpperBufferAdhesiveThickness = UpperBufferAdhesiveThickness;
    }

    public BigDecimal getUpperBufferAdhesiveThickness() {
        return UpperBufferAdhesiveThickness;
    }

    public void setProductionLowerGlueThickness(BigDecimal ProductionLowerGlueThickness) {
        this.ProductionLowerGlueThickness = ProductionLowerGlueThickness;
    }

    public BigDecimal getProductionLowerGlueThickness() {
        return ProductionLowerGlueThickness;
    }

    public void setLowerBufferAdhesiveThickness(BigDecimal LowerBufferAdhesiveThickness) {
        this.LowerBufferAdhesiveThickness = LowerBufferAdhesiveThickness;
    }

    public BigDecimal getLowerBufferAdhesiveThickness() {
        return LowerBufferAdhesiveThickness;
    }

    public void setClothGlueThickness(BigDecimal ClothGlueThickness) {
        this.ClothGlueThickness = ClothGlueThickness;
    }

    public BigDecimal getClothGlueThickness() {
        return ClothGlueThickness;
    }

    public void setSmallClothFabricLayer(BigDecimal SmallClothFabricLayer) {
        this.SmallClothFabricLayer = SmallClothFabricLayer;
    }

    public BigDecimal getSmallClothFabricLayer() {
        return SmallClothFabricLayer;
    }

    public void setSmallClothThickness(BigDecimal SmallClothThickness) {
        this.SmallClothThickness = SmallClothThickness;
    }

    public BigDecimal getSmallClothThickness() {
        return SmallClothThickness;
    }

    public void setIsNeedThicken(String IsNeedThicken) {
        this.IsNeedThicken = IsNeedThicken;
    }

    public String getIsNeedThicken() {
        return IsNeedThicken;
    }

    public void setEachLayerThickenThickness(BigDecimal EachLayerThickenThickness) {
        this.EachLayerThickenThickness = EachLayerThickenThickness;
    }

    public BigDecimal getEachLayerThickenThickness() {
        return EachLayerThickenThickness;
    }

    public void setExtraThickeningThickness(BigDecimal ExtraThickeningThickness) {
        this.ExtraThickeningThickness = ExtraThickeningThickness;
    }

    public BigDecimal getExtraThickeningThickness() {
        return ExtraThickeningThickness;
    }

    public void setTotalProductionThickness(BigDecimal TotalProductionThickness) {
        this.TotalProductionThickness = TotalProductionThickness;
    }

    public BigDecimal getTotalProductionThickness() {
        return TotalProductionThickness;
    }

    public void setAdditionalThickness(BigDecimal AdditionalThickness) {
        this.AdditionalThickness = AdditionalThickness;
    }

    public BigDecimal getAdditionalThickness() {
        return AdditionalThickness;
    }

    public void setRecommendedShimThickness(BigDecimal RecommendedShimThickness) {
        this.RecommendedShimThickness = RecommendedShimThickness;
    }

    public BigDecimal getRecommendedShimThickness() {
        return RecommendedShimThickness;
    }

    public void setSemiFinishedProductWidth(BigDecimal SemiFinishedProductWidth) {
        this.SemiFinishedProductWidth = SemiFinishedProductWidth;
    }

    public BigDecimal getSemiFinishedProductWidth() {
        return SemiFinishedProductWidth;
    }

    public void setRollingProductionMeters(BigDecimal RollingProductionMeters) {
        this.RollingProductionMeters = RollingProductionMeters;
    }

    public BigDecimal getRollingProductionMeters() {
        return RollingProductionMeters;
    }

    public void setRecommendedPadWidth(BigDecimal RecommendedPadWidth) {
        this.RecommendedPadWidth = RecommendedPadWidth;
    }

    public BigDecimal getRecommendedPadWidth() {
        return RecommendedPadWidth;
    }

    public void setBigFabricManufacturer(String BigFabricManufacturer) {
        this.BigFabricManufacturer = BigFabricManufacturer;
    }

    public String getBigFabricManufacturer() {
        return BigFabricManufacturer;
    }

    public void setFabricSpecifications(String FabricSpecifications) {
        this.FabricSpecifications = FabricSpecifications;
    }

    public String getFabricSpecifications() {
        return FabricSpecifications;
    }

    public void setEstimatedFabricUsage(BigDecimal EstimatedFabricUsage) {
        this.EstimatedFabricUsage = EstimatedFabricUsage;
    }

    public BigDecimal getEstimatedFabricUsage() {
        return EstimatedFabricUsage;
    }

    public void setClothWidth(BigDecimal ClothWidth) {
        this.ClothWidth = ClothWidth;
    }

    public BigDecimal getClothWidth() {
        return ClothWidth;
    }

    public void setClothWeight(BigDecimal ClothWeight) {
        this.ClothWeight = ClothWeight;
    }

    public BigDecimal getClothWeight() {
        return ClothWeight;
    }

    public void setSmallFabricSpecificationsDic(String SmallFabricSpecificationsDic) {
        this.SmallFabricSpecificationsDic = SmallFabricSpecificationsDic;
    }

    public String getSmallFabricSpecificationsDic() {
        return SmallFabricSpecificationsDic;
    }

    public void setSmallClothWidth(BigDecimal SmallClothWidth) {
        this.SmallClothWidth = SmallClothWidth;
    }

    public BigDecimal getSmallClothWidth() {
        return SmallClothWidth;
    }

    public void setSmallClothUsage(BigDecimal SmallClothUsage) {
        this.SmallClothUsage = SmallClothUsage;
    }

    public BigDecimal getSmallClothUsage() {
        return SmallClothUsage;
    }

    public void setSmallClothWeight(BigDecimal SmallClothWeight) {
        this.SmallClothWeight = SmallClothWeight;
    }

    public BigDecimal getSmallClothWeight() {
        return SmallClothWeight;
    }

    public void setGluingProcess(String GluingProcess) {
        this.GluingProcess = GluingProcess;
    }

    public String getGluingProcess() {
        return GluingProcess;
    }

    public void setUpperLowerGlue(String UpperLowerGlue) {
        this.UpperLowerGlue = UpperLowerGlue;
    }

    public String getUpperLowerGlue() {
        return UpperLowerGlue;
    }

    public void setUpperLowerGlueCoefficient(BigDecimal UpperLowerGlueCoefficient) {
        this.UpperLowerGlueCoefficient = UpperLowerGlueCoefficient;
    }

    public BigDecimal getUpperLowerGlueCoefficient() {
        return UpperLowerGlueCoefficient;
    }

    public void setUpperLowerGlueUsage(BigDecimal UpperLowerGlueUsage) {
        this.UpperLowerGlueUsage = UpperLowerGlueUsage;
    }

    public BigDecimal getUpperLowerGlueUsage() {
        return UpperLowerGlueUsage;
    }

    public void setLowerGlue(String LowerGlue) {
        this.LowerGlue = LowerGlue;
    }

    public String getLowerGlue() {
        return LowerGlue;
    }

    public void setLowerGlueCoefficient(BigDecimal LowerGlueCoefficient) {
        this.LowerGlueCoefficient = LowerGlueCoefficient;
    }

    public BigDecimal getLowerGlueCoefficient() {
        return LowerGlueCoefficient;
    }

    public void setLowerGlueUsage(BigDecimal LowerGlueUsage) {
        this.LowerGlueUsage = LowerGlueUsage;
    }

    public BigDecimal getLowerGlueUsage() {
        return LowerGlueUsage;
    }

    public void setLargeClothGlue(String LargeClothGlue) {
        this.LargeClothGlue = LargeClothGlue;
    }

    public String getLargeClothGlue() {
        return LargeClothGlue;
    }

    public void setLargeClothGlueCoefficient(BigDecimal LargeClothGlueCoefficient) {
        this.LargeClothGlueCoefficient = LargeClothGlueCoefficient;
    }

    public BigDecimal getLargeClothGlueCoefficient() {
        return LargeClothGlueCoefficient;
    }

    public void setLargeClothGlueUsage(BigDecimal LargeClothGlueUsage) {
        this.LargeClothGlueUsage = LargeClothGlueUsage;
    }

    public BigDecimal getLargeClothGlueUsage() {
        return LargeClothGlueUsage;
    }

    public void setBufferGlueUsage(BigDecimal BufferGlueUsage) {
        this.BufferGlueUsage = BufferGlueUsage;
    }

    public BigDecimal getBufferGlueUsage() {
        return BufferGlueUsage;
    }

    public void setMiddleGlue(String MiddleGlue) {
        this.MiddleGlue = MiddleGlue;
    }

    public String getMiddleGlue() {
        return MiddleGlue;
    }

    public void setMiddleGlueCoefficient(BigDecimal MiddleGlueCoefficient) {
        this.MiddleGlueCoefficient = MiddleGlueCoefficient;
    }

    public BigDecimal getMiddleGlueCoefficient() {
        return MiddleGlueCoefficient;
    }

    public void setMiddleGlueUsage(BigDecimal MiddleGlueUsage) {
        this.MiddleGlueUsage = MiddleGlueUsage;
    }

    public BigDecimal getMiddleGlueUsage() {
        return MiddleGlueUsage;
    }

    public void setSmallBarWidth(BigDecimal SmallBarWidth) {
        this.SmallBarWidth = SmallBarWidth;
    }

    public BigDecimal getSmallBarWidth() {
        return SmallBarWidth;
    }

    public void setSmallBarThickness(BigDecimal SmallBarThickness) {
        this.SmallBarThickness = SmallBarThickness;
    }

    public BigDecimal getSmallBarThickness() {
        return SmallBarThickness;
    }

    public void setSmallBarStandardUsage(BigDecimal SmallBarStandardUsage) {
        this.SmallBarStandardUsage = SmallBarStandardUsage;
    }

    public BigDecimal getSmallBarStandardUsage() {
        return SmallBarStandardUsage;
    }

    public void setFormingArea(BigDecimal FormingArea) {
        this.FormingArea = FormingArea;
    }

    public BigDecimal getFormingArea() {
        return FormingArea;
    }

    public void setRollCoatingArea(BigDecimal RollCoatingArea) {
        this.RollCoatingArea = RollCoatingArea;
    }

    public BigDecimal getRollCoatingArea() {
        return RollCoatingArea;
    }

    public void setRolledFabricArea(BigDecimal RolledFabricArea) {
        this.RolledFabricArea = RolledFabricArea;
    }

    public BigDecimal getRolledFabricArea() {
        return RolledFabricArea;
    }

    public void setSulfurizationArea(BigDecimal SulfurizationArea) {
        this.SulfurizationArea = SulfurizationArea;
    }

    public BigDecimal getSulfurizationArea() {
        return SulfurizationArea;
    }

    public void setLargeClothArea(BigDecimal LargeClothArea) {
        this.LargeClothArea = LargeClothArea;
    }

    public BigDecimal getLargeClothArea() {
        return LargeClothArea;
    }

    public void setSmallClothArea(BigDecimal SmallClothArea) {
        this.SmallClothArea = SmallClothArea;
    }

    public BigDecimal getSmallClothArea() {
        return SmallClothArea;
    }

    public void setBeltTotalArea(BigDecimal BeltTotalArea) {
        this.BeltTotalArea = BeltTotalArea;
    }

    public BigDecimal getBeltTotalArea() {
        return BeltTotalArea;
    }

    public void setSkirtArea(BigDecimal SkirtArea) {
        this.SkirtArea = SkirtArea;
    }

    public BigDecimal getSkirtArea() {
        return SkirtArea;
    }

    public void setPartitionArea(BigDecimal PartitionArea) {
        this.PartitionArea = PartitionArea;
    }

    public BigDecimal getPartitionArea() {
        return PartitionArea;
    }

    public void setEdgeBandingTotalArea(BigDecimal EdgeBandingTotalArea) {
        this.EdgeBandingTotalArea = EdgeBandingTotalArea;
    }

    public BigDecimal getEdgeBandingTotalArea() {
        return EdgeBandingTotalArea;
    }

    public void setWireropeBeltTotalArea(BigDecimal WireropeBeltTotalArea) {
        this.WireropeBeltTotalArea = WireropeBeltTotalArea;
    }

    public BigDecimal getWireropeBeltTotalArea() {
        return WireropeBeltTotalArea;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("SeqNo", getSeqNo())
                .append("OrderDate", getOrderDate())
                .append("DeliveryDate", getDeliveryDate())
                .append("ProductType", getProductType())
                .append("ProductStatus", getProductStatus())
                .append("OrderOwner", getOrderOwner())
                .append("CustomerInfo", getCustomerInfo())
                .append("BeltLengthSpecifications", getBeltLengthSpecifications())
                .append("AreaAndWeight", getAreaAndWeight())
                .append("UsingRawMaterials", getUsingRawMaterials())
                .append("BeltWidth", getBeltWidth())
                .append("BeltClothLayer", getBeltClothLayer())
                .append("BeltRequiredLength", getBeltRequiredLength())
                .append("GluingRequiredThickness", getGluingRequiredThickness())
                .append("LowerGlueRequiredThickness", getLowerGlueRequiredThickness())
                .append("ProductionGluingThickness", getProductionGluingThickness())
                .append("UpperBufferAdhesiveThickness", getUpperBufferAdhesiveThickness())
                .append("ProductionLowerGlueThickness", getProductionLowerGlueThickness())
                .append("LowerBufferAdhesiveThickness", getLowerBufferAdhesiveThickness())
                .append("ClothGlueThickness", getClothGlueThickness())
                .append("SmallClothFabricLayer", getSmallClothFabricLayer())
                .append("SmallClothThickness", getSmallClothThickness())
                .append("IsNeedThicken", getIsNeedThicken())
                .append("EachLayerThickenThickness", getEachLayerThickenThickness())
                .append("ExtraThickeningThickness", getExtraThickeningThickness())
                .append("TotalProductionThickness", getTotalProductionThickness())
                .append("AdditionalThickness", getAdditionalThickness())
                .append("RecommendedShimThickness", getRecommendedShimThickness())
                .append("SemiFinishedProductWidth", getSemiFinishedProductWidth())
                .append("RollingProductionMeters", getRollingProductionMeters())
                .append("RecommendedPadWidth", getRecommendedPadWidth())
                .append("BigFabricManufacturer", getBigFabricManufacturer())
                .append("FabricSpecifications", getFabricSpecifications())
                .append("EstimatedFabricUsage", getEstimatedFabricUsage())
                .append("ClothWidth", getClothWidth())
                .append("ClothWeight", getClothWeight())
                .append("SmallFabricSpecificationsDic", getSmallFabricSpecificationsDic())
                .append("SmallClothWidth", getSmallClothWidth())
                .append("SmallClothUsage", getSmallClothUsage())
                .append("SmallClothWeight", getSmallClothWeight())
                .append("GluingProcess", getGluingProcess())
                .append("UpperLowerGlue", getUpperLowerGlue())
                .append("UpperLowerGlueCoefficient", getUpperLowerGlueCoefficient())
                .append("UpperLowerGlueUsage", getUpperLowerGlueUsage())
                .append("LowerGlue", getLowerGlue())
                .append("LowerGlueCoefficient", getLowerGlueCoefficient())
                .append("LowerGlueUsage", getLowerGlueUsage())
                .append("LargeClothGlue", getLargeClothGlue())
                .append("LargeClothGlueCoefficient", getLargeClothGlueCoefficient())
                .append("LargeClothGlueUsage", getLargeClothGlueUsage())
                .append("BufferGlueUsage", getBufferGlueUsage())
                .append("MiddleGlue", getMiddleGlue())
                .append("MiddleGlueCoefficient", getMiddleGlueCoefficient())
                .append("MiddleGlueUsage", getMiddleGlueUsage())
                .append("SmallBarWidth", getSmallBarWidth())
                .append("SmallBarThickness", getSmallBarThickness())
                .append("SmallBarStandardUsage", getSmallBarStandardUsage())
                .append("FormingArea", getFormingArea())
                .append("RollCoatingArea", getRollCoatingArea())
                .append("RolledFabricArea", getRolledFabricArea())
                .append("SulfurizationArea", getSulfurizationArea())
                .append("LargeClothArea", getLargeClothArea())
                .append("SmallClothArea", getSmallClothArea())
                .append("BeltTotalArea", getBeltTotalArea())
                .append("SkirtArea", getSkirtArea())
                .append("PartitionArea", getPartitionArea())
                .append("EdgeBandingTotalArea", getEdgeBandingTotalArea())
                .append("WireropeBeltTotalArea", getWireropeBeltTotalArea())
                .append("createdBy", getCreatedBy())
                .append("createdTime", getCreatedTime())
                .append("updatedBy", getUpdatedBy())
                .append("updatedTime", getUpdatedTime())
                .toString();
    }
}
